Space fields
Move a Space item to a folder
Requires files:write for file/folder items or doc:update for document/sheet items. Null removes folder membership. For a folder item sets parent_id with the same cycle checks as a folder update.
PUT
/v1/space/items/{kind}/{id}/folder
curl -X PUT "https://api.orchestor.io/v1/space/items/document/%3Cid%3E/folder" \ -H "Authorization: Bearer $API_KEY" \ -H "X-Workspace-ID: wks_abc123" \ -H "Content-Type: application/json" \ -d '{ "folder_id": "string"}'{ "data": { "folder_id": "<string>", "id": "<string>", "kind": "document" }}Get your Orchestor API key
Create an API key in your workspace settings.
Authorizations
Authentication details
cookie
Headers
Workspace to access. With a workspace-scoped API key, the server derives this value from the key, so the header is optional. If supplied, it must match the credential workspace or the request returns 403 workspace_mismatch. For interactive session requests, supply this header to select a workspace where you are a member. A project ID cannot be used as a workspace ID.
Example
"wks_abc123"Response
application/json